Jump to main content

# Meters And More DRV_PLC_PHY_IDs

## PLC_ID_HOST_DESCRIPTION_ID (0x0100)

- Description: Name of MCU, in string format, where PL360 Host Controller is running
- Access: Read-only
- Value Range: 10 bytes
- Default Value: "SAMD20" or "PIC32CX"

## PLC_ID_HOST_MODEL_ID (0x010A)

- Description: Model identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x0002

## PLC_ID_HOST_PHY_ID (0x010C)

- Description: Physical identification number of the PL360 Host Controller. It is composed of PLC_ID_HOST_VERSION_ID (0x0112) + PLC_ID_HOST_BAND_ID (0x0116).
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0x36080000

## PLC_ID_HOST_PRODUCT_ID (0x0110)

- Description: Product identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x3608

## PLC_ID_HOST_VERSION_ID (0x0112)

- Description: Version number of the PL360 Host Controller
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0x36080000

## PLC_ID_HOST_BAND_ID (0x0116)

- Description: Workband identification number of the PL360 Host Controller
- Access: Read-only
- Value Range: 1 byte
- Default Value: 8

## PLC_ID_TIME_REF_ID (0x0200)

- Description: Time reference in microseconds from the last reset of the PL360 device
- Access: Read-only
- Value Range: 4 bytes
- Default Value: Not applicable

## PLC_ID_PRODID (0x4000)

- Description: Product Identifier of firmware embedded in PL360 device
- Access: Read-only
- Value Range: 8 bytes
- Default Value: "ATPL360B"

## PLC_ID_MODEL (0x4001)

- Description: Model Identifier of firmware embedded in PL360 device
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0x3608

## PLC_ID_VERSION_STR (0x4002)

- Description: Version number of PL360 PHY embedded firmware in string format. The format is "AA.BB.CC.DD", where:
  - AA: Corresponds to device model ("36")
  - BB: Corresponds to Meter And More band ("08")
  - CC: Major version number
  - DD: Minor version number
- Access: Read-only
- Value Range: 11 bytes
- Example Value: "36.08.00.00"

## PLC_ID_VERSION_NUM (0x4003)

- Description: Version number of PL360 PHY embedded firmware in hexadecimal format. The format is 0xAABBCCDD, where:
  - AA: Corresponds to device model (0x36)
  - BB: Corresponds to Meters And More band (0x08)
  - CC: Major version number
  - DD: Minor version number
- Access: Read-only
- Value Range: 4 bytes
- Example Value: 0x36080000

## PLC_ID_TX_TOTAL (0x4004)

- Description: Number of successfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TOTAL_BYTES (0x4005)

- Description: Number of bytes in successfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TOTAL_ERRORS (0x4006)

- Description: Number of unsuccessfully transmitted PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_BUSY_TX (0x4007)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and there is already data in the TX chain
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_BUSY_CHANNEL (0x4008)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and the PLC channel is busy
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_BAD_LEN (0x4009)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and the specified length in transmission parameters is invalid
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_TIMEOUT (0x400A)

- Description: Number of times when the PL360 device received new data to transmit (send_data) and it cannot transmit data in the specified time provided by the transmission parameters
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_TX_HIGH_TEMP_120 (0x404B)

- Description: Number of unsuccessful transmissions because of high temperature (>120ºC) error, i.e., with transmission result DRV_PLC_PHY_TX_RESULT_HIGH_TEMP_120. This transmission error is only available in PL460
- Access: Read-write
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_TX_CANCELLED (0x404C)

- Description: Number of canceled transmissions, i.e., with transmission result DRV_PLC_PHY_TX_CANCELLED. Transmissions can be canceled by:
  - TX_MODE_CANCEL bit in `mode` parameter (see DRV_PLC_PHY_TRANSMISSION_OBJ)
  - PLC_ID_TX_DISABLE (0x4048)
  - Tx Enable pin, only available in PL460
- Access: Read-write
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_RX_TOTAL (0x400D)

- Description: Number of successfully received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_TOTAL_BYTES (0x400E)

- Description: Number of bytes in successfully received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_EXCEPTIONS (0x400F)

- Description: Number of time-out errors in received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_LEN (0x4010)

- Description: Number of errors in FCH length in received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_FALSE_POSITIVE (0x4011)

- Description: Number of errors in PDU synchronization phase
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_FORMAT (0x4012)

- Description: Number of errors in modulation type field included in FCH of received PDUs
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RX_BAD_CRC_PAY (0x4013)

- Description: Number of errors in payload CRC in received PDUs. It is only updated if CRC capability is enabled (see PLC_ID_CRC_TX_RX_CAPABILITY (0x4015))
- Access: Read-write
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_RESET_STATS (0x4014)

- Description: Writing any value (1 - 255) causes all PHY statistics (PLC_ID_TX_TOTAL, PLC_ID_RX_TOTAL, etc.) to be reset to 0
- Access: Write-only
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_CRC_TX_RX_CAPABILITY (0x4015)

- Description: CRC computation capability. If it is enabled, 32-bit CRC is computed in transmitted and received PDUs. In transmission, when it is enabled, padding and CRC are added to the data automatically. In reception, when it is enabled, CRC is computed over the received PDU and it is compared to the last 32 bits of the data (corresponding to the CRC of the message) to check the integrity of the message. These four bytes are not included in the data buffer containing the received frame reported in DRV_PLC_PHY_RECEPTION_OBJ. The field `crcOk` in DRV_PLC_PHY_RECEPTION_OBJ shows whether the CRC is correct or not.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)

- Description: Auto-Detect Impedance mode. Transmission Automatic Gain Control (Tx AGC) and Automatic Transmission Mode Control (ATMC) can be enabled/disabled. There are 3 available modes:
  - OFF: Tx AGC disabled. ATMC disabled.
  - ON: Tx AGC enabled. ATMC enabled.
  - AGC: Tx AGC enabled. ATMC disabled.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_CFG_IMPEDANCE (0x4017)

- Description: Transmission mode (HIGH, LOW, VERY_LOW). It is automatically updated if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)).
- Access: Read-write
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_ZC_PERIOD (0x4018)

- Description: Last estimation of the mains Zero-Crossing period, in microseconds
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_ZC_CONF_INV (0x4019)

- Description: Polarity of the pulse generated by the external Zero-Crossing detection circuit. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 1

## PLC_ID_ZC_CONF_FREQ (0x401A)

- Description: Initial frequency, in Hz, for the mains Zero-Crossing detection algorithm. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 50

## PLC_ID_ZC_CONF_DELAY (0x401B)

- Description: Time Delay, in microseconds, of the external mains Zero-Crossing Detection circuit. For additional information, refer to the Zero-Crossing Configuration.
- Access: Read-write
- Value Range: 2 bytes
- Default Value: -350

## PLC_ID_ZC_VALUE (0x401C)

- Description: Gets last detected Zero-Crossing value in microseconds
- Access: Read-only
- Value Range: 4 bytes
- Default value: 0

## PLC_ID_TX_PAY_SYMBOLS (0x401D)

- Description: Number of payload symbols in the last requested transmission
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_RX_PAY_SYMBOLS (0x401E)

- Description: Number of payload symbols in last received message
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_NUM_TX_LEVELS (0x401F)

- Description: Number of Tx attenuation levels (3 dB steps) for normal transmission behavior. When `attenuation` field (see DRV_PLC_PHY_TRANSMISSION_OBJ) is higher than or equal to the number of Tx attenuation levels, Tx mode is internally forced by the PL360 device to LOW mode.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 8

## PLC_ID_MAX_RMS_TABLE_HI (0x4020)

- Description: Target value of RMS_CALC in HIGH Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)). RMS_CALC will tend to this value by automatically adjusting the gain after every transmission (see PLC_ID_CURRENT_GAIN (0x402D)). These parameters are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)).
- Access: Read-write
- Value Range: 32 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  RMS_HI_0 | RMS_HI_1 | RMS_HI_2 | RMS_HI_3 | RMS_HI_4 | RMS_HI_5 | RMS_HI_6 | RMS_HI_7

  where, RMS_HI_x: Target value of RMS_CALC in mode of transmission HIGH for the attenuation level x (attenuation levels in 3 dB steps).

- Default Value:

  RMS_HI_0 | RMS_HI_1 | RMS_HI_2 | RMS_HI_3 | RMS_HI_4 | RMS_HI_5 | RMS_HI_6 | RMS_HI_7
  --- | --- | --- | --- | --- | --- | --- | ---
  324 | 293 | 267 | 242 | 218 | 194 | 172 | 153

## PLC_ID_MAX_RMS_TABLE_VLO (0x4021)

- Description: Target value of RMS_CALC in VERY_LOW Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)). RMS_CALC will tend to this value by automatically adjusting the gain after every transmission (see PLC_ID_CURRENT_GAIN (0x402D)). These parameters are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)).
- Access: Read-write
- Value Range: 32 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  RMS_VLO_0 | RMS_VLO_1 | RMS_VLO_2 | RMS_VLO_3 | RMS_VLO_4 | RMS_VLO_5 | RMS_VLO_6 | RMS_VLO_7

  where, RMS_HI_x: Target value of RMS_CALC in mode of transmission VERY_LOW for the attenuation level x (attenuation levels in 3 dB steps).

- Default Value:

  RMS_VLO_0 | RMS_VLO_1 | RMS_VLO_2 | RMS_VLO_3 | RMS_VLO_4 | RMS_VLO_5 | RMS_VLO_6 | RMS_VLO_7
  --- | --- | --- | --- | --- | --- | --- | ---
  2432 | 2172 | 1932 | 1714 | 1515 | 1342 | 1189 | 1052

## PLC_ID_THRESHOLDS_TABLE_HI (0x4022)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)) from HIGH mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x402C)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_HI_VLO_x, Tx mode will be updated to VERY_LOW mode.
  2. Else if corrected RMS_CALC is below TH_HI_LO_x, Tx mode will be updated to LOW mode.
  3. Else Tx mode will remain in HIGH mode.

  where:

  - TH_HI_VLO_x: Threshold to change from HIGH to VERY_LOW mode for Tx attenuation level x (3 dB steps)
  - TH_HI_LO_x: Threshold to change from HIGH to LOW mode for Tx attenuation level x (3 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_HI_LO_0 | TH_HI_LO_1 | TH_HI_LO_2 | TH_HI_LO_3 | TH_HI_LO_4 | TH_HI_LO_5 | TH_HI_LO_6 | TH_HI_LO_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_HI_VLO_0 | TH_HI_VLO_1 | TH_HI_VLO_2 | TH_HI_VLO_3 | TH_HI_VLO_4 | TH_HI_VLO_5 | TH_HI_VLO_6 | TH_HI_VLO_7

- Default Value:

  TH_HI_LO_0 | TH_HI_LO_1 | TH_HI_LO_2 | TH_HI_LO_3 | TH_HI_LO_4 | TH_HI_LO_5 | TH_HI_LO_6 | TH_HI_LO_7
  --- | --- | --- | --- | --- | --- | --- | ---
  0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  TH_HI_VLO_0 | TH_HI_VLO_1 | TH_HI_VLO_2 | TH_HI_VLO_3 | TH_HI_VLO_4 | TH_HI_VLO_5 | TH_HI_VLO_6 | TH_HI_VLO_7
  --- | --- | --- | --- | --- | --- | --- | ---
  274 | 247 | 225 | 205 | 184 | 164 | 146 | 130

## PLC_ID_THRESHOLDS_TABLE_LO (0x4023)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)) from LOW mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x402C)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_LO_VLO_x, Tx mode will be updated to VERY_LOW mode.
  2. Else if corrected RMS_CALC is above TH_LO_HI_x, Tx mode will be updated to HIGH mode.
  3. Else Tx mode will remain in LOW mode.

  where:

  - TH_LO_VLO_x: Threshold to change from LOW to VERY_LOW mode for Tx attenuation level x (3 dB steps)
  - TH_LO_HI_x: Threshold to change from LOW to HIGH mode for Tx attenuation level x (3 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_LO_HI_0 | TH_LO_HI_1 | TH_LO_HI_2 | TH_LO_HI_3 | TH_LO_HI_4 | TH_LO_HI_5 | TH_LO_HI_6 | TH_LO_HI_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_LO_VLO_0 | TH_LO_VLO_1 | TH_LO_VLO_2 | TH_LO_VLO_3 | TH_LO_VLO_4 | TH_LO_VLO_5 | TH_LO_VLO_6 | TH_LO_VLO_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_LO_VLO_0 | TH_LO_VLO_1 | TH_LO_VLO_2 | TH_LO_VLO_3 | TH_LO_VLO_4 | TH_LO_VLO_5 | TH_LO_VLO_6 | TH_LO_VLO_7

- Default Value:

  TH_LO_HI_0 | TH_LO_HI_1 | TH_LO_HI_2 | TH_LO_HI_3 | TH_LO_HI_4 | TH_LO_HI_5 | TH_LO_HI_6 | TH_LO_HI_7
  --- | --- | --- | --- | --- | --- | --- | ---
  0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  TH_LO_VLO_0 | TH_LO_VLO_1 | TH_LO_VLO_2 | TH_LO_VLO_3 | TH_LO_VLO_4 | TH_LO_VLO_5 | TH_LO_VLO_6 | TH_LO_VLO_7
  --- | --- | --- | --- | --- | --- | --- | ---
  0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

## PLC_ID_THRESHOLDS_TABLE_VLO (0x4024)

- Description: Table of thresholds to automatically update Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)) from VERY_LOW mode. These parameters are only used if ATMC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)). Corrected RMS_CALC (see PLC_ID_CORRECTED_RMS_CALC (0x402C)) is compared with these thresholds after every transmission to select Tx mode for next transmission. The decision is taken following the steps shown below:
  1. If corrected RMS_CALC is below TH_VLO_VLO_x, Tx mode will remain in VERY_LOW mode.
  2. Else if corrected RMS_CALC is above TH_VLO_HI_x, Tx mode will be updated to HIGH mode.
  3. Else Tx mode will be updated to LOW mode.

  where:

  - TH_VLO_VLO_x: Threshold to remain Tx mode in VERY_LOW mode for Tx attenuation level x (3 dB steps)
  - TH_VLO_HI_x: Threshold to change from VERY_LOW to HIGH mode for Tx attenuation level x (3 dB steps)
- Access: Read-write
- Value Range: 64 bytes

  Byte 0-3 | Byte 4-7 | Byte 8-11 | Byte 12-15 | Byte 16-19 | Byte 20-24 | Byte 25-27 | Byte 28-31
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_VLO_HI_0 | TH_VLO_HI_1 | TH_VLO_HI_2 | TH_VLO_HI_3 | TH_VLO_HI_4 | TH_VLO_HI_5 | TH_VLO_HI_6 | TH_VLO_HI_7

  Byte 32-35 | Byte 36-39 | Byte 40-43 | Byte 44-47 | Byte 48-51 | Byte 52-55 | Byte 56-59 | Byte 60-63
  --- | --- | --- | --- | --- | --- | --- | ---
  TH_VLO_VLO_0 | TH_VLO_VLO_1 | TH_VLO_VLO_2 | TH_VLO_VLO_3 | TH_VLO_VLO_4 | TH_VLO_VLO_5 | TH_VLO_VLO_6 | TH_VLO_VLO_7

- Default Value:

  TH_VLO_HI_0 | TH_VLO_HI_1 | TH_VLO_HI_2 | TH_VLO_HI_3 | TH_VLO_HI_4 | TH_VLO_HI_5 | TH_VLO_HI_6 | TH_VLO_HI_7
  --- | --- | --- | --- | --- | --- | --- | ---
  0 | 0 | 0 | 0 | 0 | 0 | 0 | 0

  TH_VLO_VLO_0 | TH_VLO_VLO_1 | TH_VLO_VLO_2 | TH_VLO_VLO_3 | TH_VLO_VLO_4 | TH_VLO_VLO_5 | TH_VLO_VLO_6 | TH_VLO_VLO_7
  --- | --- | --- | --- | --- | --- | --- | ---
  5579 | 4972 | 4414 | 3920 | 3477 | 3079 | 2738 | 2433

## PLC_ID_GAIN_TABLE_HI (0x4025)

- Description: Table of gain values for HIGH Tx mode
- Access: Read-write
- Value Range: 6 bytes

  Byte 0-1 | Byte 2-3 | Byte 4-5
  --- | --- | ---
  GAIN_HI_INI | GAIN_HI_MIN | GAIN_HI_MAX

  where:

  - GAIN_HI_INI: Initial gain value in HIGH Tx mode. The minimum value is GAIN_HI_MIN.
  - GAIN_HI_MIN: Minimum gain value in HIGH Tx mode. The minimum value is 1.
  - GAIN_HI_MAX: Maximum gain value in HIGH Tx mode. The minimum value is GAIN_HI_INI.

  GAIN_HI_MIN and GAIN_HI_MAX are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)).

- Default Value:

  GAIN_HI_INI | GAIN_HI_MIN | GAIN_HI_MAX
  --- | --- | ---
  25 | 12 | 50

## PLC_ID_GAIN_TABLE_LO (0x4026)

- Description: Gain value in LOW Tx mode
- Access: Read-write
- Value Range: 2 bytes. The minimum value is 1
- Default Value: 228

## PLC_ID_GAIN_TABLE_VLO (0x4027)

- Description: Table of gain values for VERY_LOW Tx mode
- Access: Read-write
- Value Range: 6 bytes

  Byte 0-1 | Byte 2-3 | Byte 4-5
  --- | --- | ---
  GAIN_VLO_INI | GAIN_VLO_MIN | GAIN_VLO_MAX

  where:

  - GAIN_VLO_INI: Initial gain value in VERY_LOW Tx mode. The minimum value is GAIN_VLO_MIN.
  - GAIN_VLO_MIN: Minimum gain value in VERY_LOW Tx mode. The minimum value is 1.
  - GAIN_VLO_MAX: Maximum gain value in VERY_LOW Tx mode. The minimum value is GAIN_VLO_INI.

  GAIN_VLO_MIN and GAIN_VLO_MAX are only used if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)).

- Default Value:

  GAIN_VLO_INI | GAIN_VLO_MIN | GAIN_VLO_MAX
  --- | --- | ---
  228 | 114 | 256

## PLC_ID_DACC_TABLE_CFG (0x4028)

- Description: Configuration values of DACC peripheral according to hardware configuration
- Access: Read-write
- Value Range: 68 bytes
- Default Value:

  {0x00000000, 0x00002120, 0x0000073F, 0x00003F3F, 0x00000333, 0x00000000, 0xFFFF00FF, 0x17171717, 0x00002020, 0x00000044, 0x0FD20001, 0x00000355, 0x0F000000, 0x001020F0, 0x00000355, 0x0F000000, 0x001020FF}

## PLC_ID_IC_DRIVER_CFG (0x4029)

- Description: This parameter configures the Transmission PLC driver. It must be configured according to the PLC device used. There are four available modes, one for PL360 and three for PL460:
  - PL360: Configured for PL360
  - PL460_MAIN_BRANCH_1F: Configured for PL460 using Main Transmission Branch with a single external filter. When transmitting, both ASO pins are activated simultaneously for all Tx modes.
  - PL460_MAIN_BRANCH_2F: Configured for PL460 using Main Transmission Branch with two external filters. When transmitting, ASO0 is activated if HIGH Tx mode and ASO1 is activated if LOW / VERY_LOW Tx mode (see PLC_ID_CFG_IMPEDANCE (0x4017)).
  - PL460_AUX_BRANCH: Configured for PL460 using Auxiliary Transmission Branch

  For additional information, refer to the PL460 Data Sheet (DS60001666).

- Access: Read-write
- Value Range: 1 byte
- Default value: 0

## PLC_ID_TX_DISABLE (0x402A)

- Description: This parameter allows disabling of transmissions. If disabled, ongoing/programmed transmission (if any) will be aborted and subsequent requests will be denied, reporting the transmission result DRV_PLC_PHY_TX_CANCELLED.
- Access: Read-write
- Value Range: 1 byte
- Default value: 0

## PLC_ID_CORRECTED_RMS_CALC (0x402C)

- Description: RMS_CALC value obtained in the last transmitted message, compensated with gain applied by Tx AGC algorithm (see PLC_ID_CURRENT_GAIN (0x402D)). This is the value which is actually compared with thresholds (PLC_ID_THRESHOLDS_TABLE_VLO (0x4024), PLC_ID_THRESHOLDS_TABLE_HI (0x4022)) to automatically update Tx mode.
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_CURRENT_GAIN (0x402D)

- Description: Transmission Gain which will be used in the next transmitted message. It can vary after every transmission if Tx AGC is enabled (see PLC_ID_CFG_AUTODETECT_IMPEDANCE (0x4016)). Maximum and minimum Gain values can be set in PLC_ID_GAIN_TABLE_HI (0x4025) and PLC_ID_GAIN_TABLE_VLO (0x4027).
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 25

## PLC_ID_SYNC_XCORR_THRESHOLD (0x402E)

- Description: Correlation threshold for synchronization (preamble detection). The format is uQ0.16. It represents percentage with respect to the maximum ideal value of correlation (computed internally in PL360).
- Access: Read-write
- Value Range: 2 bytes
- Default Value: 31130 (47.5%)
  CAUTION: It is recommended to keep the default value of this parameter in order to maintain expected reception performance.

## PLC_ID_SYNC_XCORR_PEAK_VALUE (0x402F)

- Description: Correlation value in last received PDU. The format is the same described in PLC_ID_SYNC_XCORR_THRESHOLD (0x403B).
- Access: Read-only
- Value Range: 2 bytes
- Default Value: 0

## PLC_ID_PPM_CALIB_ON (0x4030)

- Description: Enable the oscillator clock signal to go out through TXRX1 pad. This is useful to measure clock frequency deviation.
- Access: Read-write
- Value Range: 1 byte
- Default Value: 0

## PLC_ID_SFO_ESTIMATION_LAST_RX (0x4031)

- Description: Estimation of the double-sided (between transmitter and receiver) clock frequency deviation for the last received PDU. The value is signed and the unit is 0.001 ppm. To convert to ppm, the read value has to be divided by 1000.
- Access: Read-only
- Value Range: 4 bytes
- Default Value: 0

## PLC_ID_PREAMBLE_LEN_BYTES (0x4032)

- Description: Number of bytes present on PLC frames preamble. It is used on both Tx for generation and Rx for validation
- Access: Read-write
- Value Range: 1 byte
- Default value: 4

Rev: G